## org.apache.log4j.varia
Class ReloadingPropertyConfigurator

    java.lang.Object
      org.apache.log4j.varia.ReloadingPropertyConfigurator

All Implemented Interfaces:
  Configurator

    public class ReloadingPropertyConfigurator

extends Object
implements Configurator

Field Summary

Fields inherited from interface org.apache.log4j.spi.Configurator
`INHERITED, NULL`

Constructor Summary
`ReloadingPropertyConfigurator()`

Method Summary
`void` `doConfigure(InputStream inputStream, LoggerRepository repository)` Interpret a resource pointed by a InputStream and set up log4j accordingly.
`void` `doConfigure(URL url, LoggerRepository repository)` Interpret a resource pointed by a URL and set up log4j accordingly.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReloadingPropertyConfigurator

    public ReloadingPropertyConfigurator()

Method Detail

### doConfigure

    public void doConfigure(InputStream inputStream,
                            LoggerRepository repository)

  Description copied from interface: `Configurator`
  Interpret a resource pointed by a InputStream and set up log4j accordingly. The configuration is done relative to the `hierarchy` parameter.

  Specified by:
    `doConfigure` in interface `Configurator`
  Parameters:
    `inputStream` - The InputStream to parse
    `repository` - The hierarchy to operation upon.
  Since:
    1.2.17

### doConfigure

    public void doConfigure(URL url,
                            LoggerRepository repository)

  Description copied from interface: `Configurator`
  Interpret a resource pointed by a URL and set up log4j accordingly. The configuration is done relative to the `hierarchy` parameter.

  Specified by:
    `doConfigure` in interface `Configurator`
  Parameters:
    `url` - The URL to parse
    `repository` - The hierarchy to operation upon.

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.